Migrate Team Members
Migrate multiple Team member assignments from one Vault to another. Vault assigns users to Team roles on records by creating team member records asynchronously on behalf of the user. This endpoint does not support deleting or updating existing Team assignments. Learn more about working with Teams in Vault Help
Your security profile and permission set must grant permission to manage the relevant Team member object.
- The maximum CSV input file size is 50 MB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
This endpoint respects the following validations when creating Team assignments:
- Maximum number of users allowed per role
- The assigned application role must exist
- The assigned user must be active
- Duplicate assignments are skipped
This endpoint bypasses the following validations when creating Team assignments:
- Constraining roles
- Cascading rules
- Team completeness (allows for partial team assignments)
- Exclusive role membership
- Linked role fields
The target Vault does not need to be in configuration mode
/api/{version}/qualityone/qms/teams/vobjects/{team_member_object_name}/actions/migrationHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv |
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value for the team member object. For example, audit_team_member__v, lab_investigation_team_member__v. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
file | The filepath to the CSV file. |
Example CSV Input
Section link for Example CSV InputPrepare a CSV input file with three columns for the team-enabled record, assigned user, and application role. The fields may differ from the example below; however, the chosen fields must be text fields (not ID), unique, and their value less than 1,500 characters. Assignments must be grouped by their team-enabled record. For example, all Team member assignments for record AUD-000019 must be in the same batch.
quality_event__qdm.name__v | user__sys.global_id__sys | application_role__v.api_name__v |
|---|---|---|
| AUD-000019 | 179483_1971057 | editor__v |
| AUD-000019 | 179483_4373488 | viewer__v |
| AUD-000019 | 179483_4331548 | approver__c |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
-F 'file=@"Teams_Migration_AUD-000019.csv"' \
https://myvault.veevavault.com/api/v26.3/qualityone/qms/teams/vobjects/audit_team_member__v/actions/migration' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"jobId": 620001
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns the jobId for the action, and the authenticated user receives an email and Vault notification with a CSV file of the results of the operation. Partial success is allowed, meaning some Team assignments in the batch may succeed while others fail. For any failed assignments, the results CSV file includes a reason for the failure.